Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455336 - yum failed on packagekit updates from updates-testing repoitory
Summary: yum failed on packagekit updates from updates-testing repoitory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 9
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 20:59 UTC by Mathieu BONIFACE
Modified: 2008-07-30 20:01 UTC (History)
3 users (show)

Fixed In Version: 0.2.3-7.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-30 20:01:57 UTC


Attachments (Terms of Use)
yum log from update PackageKit-0.2.3-6 (deleted)
2008-07-18 10:57 UTC, Mathieu BONIFACE
no flags Details

Description Mathieu BONIFACE 2008-07-14 20:59:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. open a terminal
2. run « yum --enablerepo=updates-testing update yum-packagekit »


Actual Results:
[root@MC-mat ~]# yum --enablerepo=updates-testing list | grep test | grep package
Modules complémentaires chargés : fastestmirror, refresh-packagekit
gnome-packagekit.x86_64                  0.2.3-4.fc9            updates-testing 
jpackage-utils.noarch                    1.7.5-1jpp.2.fc9       updates-testing 
udev-packagekit.x86_64                   0.2.3-2.fc9            updates-testing 
yum-packagekit.x86_64                    0.2.3-2.fc9            updates-testing 
[root@MC-mat ~]# yum --enablerepo=updates-testing update yum-packagekit
Modules complémentaires chargés : fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * fedora: fr2.rpmfind.net
 * adobe-linux-i386: linuxdownload.adobe.com
 * updates-testing: fr2.rpmfind.net
 * updates: fr2.rpmfind.net
Configuration du processus de mise à jour
Résolution des dépendances
--> Lancement de la transaction de test
--> Traitement de la dépendance : yum-packagekit = 0.1.12-13.20080522.fc9 pour le paquetage : PackageKit
---> Paquetage yum-packagekit.x86_64 0:0.2.3-2.fc9 marqué pour être mis à jour 
--> Lancement de la transaction de test
---> Paquetage PackageKit.x86_64 0:0.2.3-2.fc9 marqué pour être mis à jour 
--> Traitement de la dépendance : PackageKit-libs = 0.2.3-2.fc9 pour le paquetage : PackageKit
--> Lancement de la transaction de test
---> Paquetage PackageKit-libs.x86_64 0:0.2.3-2.fc9 marqué pour être mis à jour 
--> Résolution des dépendances terminée

Dépendances résolues

=============================================================================
 Paquetage               Architecture  Version          Dépôt             Taille
=============================================================================
Mise à jour:
 PackageKit              x86_64     0.2.3-2.fc9      updates-testing   562 k
 PackageKit-libs         x86_64     0.2.3-2.fc9      updates-testing   109 k
 yum-packagekit          x86_64     0.2.3-2.fc9      updates-testing   9.1 k

Résumé de la transaction
=============================================================================
Installation      0 Paquetage(s)         
Mise à jour       3 Package(s)         
Suppression       0 Package(s)         

Taille totale des téléchargement : 680 k
Est-ce correct [o/N] : o
Téléchargement des paquetages :
(1/3): yum-packagekit-0.2.3-2.fc9.x86_64.rpm             | 9.1 kB     00:00     
(2/3): PackageKit-libs-0.2.3-2.fc9.x86_64.rpm            | 109 kB     00:04     
(3/3): PackageKit-0.2.3-2.fc9.x86_64.rpm                 | 562 kB     00:29     
Lancement de rpm_check_debug
Lancement de la transaction de test
Transaction de test terminée
Transaction de test réussie
Lancement de la transaction
  Mise à jour    : yum-packagekit                                    [1/6] 
  Mise à jour    : PackageKit-libs                                   [2/6] 
  Mise à jour    : PackageKit                                        [3/6] 
Unknown media type in type 'all/all'

Unknown media type in type 'all/allfiles'

Unknown media type in type 'uri/mms'

Unknown media type in type 'uri/mmst'

Unknown media type in type 'uri/mmsu'

Unknown media type in type 'uri/pnm'

Unknown media type in type 'uri/rtspt'

Unknown media type in type 'uri/rtspu'

Unknown media type in type 'print/class'

Unknown media type in type 'print/driver'

Unknown media type in type 'print/folder'

Unknown media type in type 'print/jobs'

Unknown media type in type 'print/manager'

Unknown media type in type 'print/printer'

Unknown media type in type 'print/printermodel'

Unknown media type in type 'fonts/package'

Unknown media type in type 'interface/x-winamp-skin'

  Nettoyage      : PackageKit                                        [4/6] 
  Nettoyage      : PackageKit-libs                                   [5/6] 
  Nettoyage      : yum-packagekit                                    [6/6] 
ERROR:dbus.connection:Unable to set arguments () according to signature u's': <type 'exceptions.TypeError'>: More items found in D-Bus signature than in Python arguments
Unable to send message to PackageKit

Mis à jour: PackageKit.x86_64 0:0.2.3-2.fc9 PackageKit-libs.x86_64 0:0.2.3-2.fc9 yum-packagekit.x86_64 0:0.2.3-2.fc9
Terminé !


Expected Results:


Additional info:

Comment 1 Fedora Update System 2008-07-15 08:01:31 UTC
PackageKit-0.2.3-6.fc9 has been submitted as an update for Fedora 9

Comment 2 Fedora Update System 2008-07-17 14:17:52 UTC
PackageKit-0.2.3-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6512

Comment 3 Mathieu BONIFACE 2008-07-18 10:57:41 UTC
Created attachment 312121 [details]
yum log from update PackageKit-0.2.3-6


it seems there is again a problem with dbus

Comment 4 David 2008-07-20 09:41:19 UTC
error: Failed dependencies: libpackagekit.so.3 is needed by
gnome-packagekit-0.2.3-6.fc9.i386 error: Failed dependencies: libpackagekit.so.3
is needed by (installed) gnome-packagekit-0.2.3-4.fc9.i386 



Comment 5 Denis Leroy 2008-07-23 07:18:00 UTC
What is up with this?  The testing repo has been broken for a week...



Comment 6 Denis Leroy 2008-07-23 07:35:27 UTC
Answering to myself: updates is in bodhi for updates-testing, will be available
at next update push.


Comment 7 David 2008-07-23 09:37:43 UTC
Fixed :)

Comment 8 Fedora Update System 2008-07-30 20:01:55 UTC
gnome-packagekit-0.2.3-7.fc9, PackageKit-0.2.3-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.